libpython2.6_2.6.8-1.1_amd64.deb


Advertisement

Description

libpython2.6 - Shared Python runtime library (version 2.6)

Property Value
Distribution Debian 7 (Wheezy)
Repository Debian Main amd64
Package filename libpython2.6_2.6.8-1.1_amd64.deb
Package name libpython2.6
Package version 2.6.8
Package release 1.1
Package architecture amd64
Package type deb
Homepage -
License -
Maintainer -
Download size 1.05 MB
Installed size 2.76 KB
Version 2.6 of the high-level, interactive object oriented language,
includes an extensive class library with lots of goodies for
network programming, system administration, sounds and graphics.
This package contains the shared runtime library, normally not needed
for programs using the statically linked interpreter.

Alternatives

Package Version Architecture Repository
libpython2.6_2.6.8-1.1+deb7u1_i386.deb 2.6.8 i386 Debian Security Updates Main
libpython2.6_2.6.8-1.1+deb7u1_amd64.deb 2.6.8 amd64 Debian Security Updates Main
libpython2.6_2.6.8-1.1_i386.deb 2.6.8 i386 Debian Main
libpython2.6 - - -

Requires

Name Value
libc6 >= 2.3.2
libssl1.0.0 >= 1.0.0
python2.6 = 2.6.8-1.1
zlib1g >= 1:1.2.0

Replaces

Name Value
python2.6 << 2.6

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libpython2.6_2.6.8-1.1_amd64.deb
Source Package python2.6

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libpython2.6 deb package:
    # sudo apt-get install libpython2.6

Files

Path
/usr/lib/libpython2.6.so.1
/usr/lib/libpython2.6.so.1.0
/usr/lib/python2.6/config/libpython2.6.so
/usr/share/doc/libpython2.6
/usr/share/lintian/overrides/libpython2.6

Changelog

2013-01-26 - Julien Cristau <jcristau@debian.org>
python2.6 (2.6.8-1.1) unstable; urgency=low
* Non-maintainer upload.
* Add dependency on libjs-underscore to python2.6-doc.  2.6.8-1 added a
symlink to /usr/share/javascript/underscore/underscore.js.
2012-11-28 - Matthias Klose <doko@debian.org>
python2.6 (2.6.8-1) unstable; urgency=medium
* The wininst-* files cannot be built within Debian from the included
sources, needing a zlib mingw build, which the zlib maintainer isn't
going to provide. Closes: #639405.
* Fix determination of Metadata version (issue #8933). Closes: #645125.
* SECURE UPDATE: http://bugs.python.org/issue13512
- debian/patches/CVE-2011-4944.diff: create ~/.pypirc securely
- CVE-2011-4944. Closes: #615118.
* SECURITY UPDATE: Fix CGIHTTPServer information disclosure.
- debian/patches/CVE-2011-1015.diff: Relative paths are now collapsed
within the url properly before looking in cgi_directories.
- CVE-2011-1015
* Add man page for 2to3, copied from 2.7 (Nobuhiro Iwamatsu).
Closes: #639327.
* Avoid runtime path for the sqlite extension.
2012-06-25 - Julien Cristau <jcristau@debian.org>
python2.6 (2.6.8-0.2) unstable; urgency=low
* Non-maintainer upload.
* Fix Modules/pyexpat.c to not crash when the svn revision's missing.
* Disable some tests on kfreebsd.
2012-06-16 - Julien Cristau <jcristau@debian.org>
python2.6 (2.6.8-0.1) unstable; urgency=low
[ Matthias Klose ]
* Python 2.6.8 release.
- CVE-2012-0876: Randomize hashes of xml attributes in the hash table
internal to the pyexpat module.
- CERT-2011-003, CVE-2012-1150: add -R command-line option and
PYTHONHASHSEED environment variable, to provide an opt-in way to protect
against denial of service attacks due to hash collisions within the dict
and set types.
[ Julien Cristau ]
* Non-maintainer upload.
* Use the unmodified upstream tarball, drop profile-pstats.diff, update
README.source.
* Use libdb5.1 instead of 4.8 (closes: #621459).
* Update the bsddb module to the version present in python2.7.
* Steal ncursesw-incdir.diff from python2.7 so the curses module doesn't
disappear.
2011-08-03 - Matthias Klose <doko@debian.org>
python2.6 (2.6.7-4) unstable; urgency=low
* Fix build on s390x. Closes: #636032.
* Fix incorrect basic HTTP authentication in urllib2.py, taken
from 2.7 (Mikhail V. Zhukov). Closes: #628984.
2011-07-10 - Matthias Klose <doko@debian.org>
python2.6 (2.6.7-3) unstable; urgency=low
* Make the conflict against python-profiler a versioned conflict.
* Don't run the bsddb3 tests on kfreebsd-*.
* Don't run the benchmark on hurd-i386.
* Treat Linux 3.x as Linux 2. Closes: #633015.
* Revert the suggested patch for issue #762963. LP: #711541.
* Don't add the bsddb multilib path, if already in the standard lib path.
2011-06-28 - Matthias Klose <doko@debian.org>
python2.6 (2.6.7-2) unstable; urgency=low
* Add profile/pstats to the python2.6 package, update debian copyright.
2011-06-13 - Matthias Klose <doko@debian.org>
python2.6 (2.6.7-1) unstable; urgency=low
* Python 2.6.7 final release.
- Issue #11662: Make urllib and urllib2 ignore redirections if the
scheme is not HTTP, HTTPS or FTP (CVE-2011-1521). Closes: #628455.
- Issue #11442: Add a charset parameter to the Content-type in
SimpleHTTPServer to avoid XSS attacks.
2011-04-20 - Matthias Klose <doko@debian.org>
python2.6 (2.6.6-10) unstable; urgency=low
* Keep the ssl.PROTOCOL_SSLv2 module constant , just raise an exception
when trying to create a PySSL object. Closes: #623423.
2011-04-19 - Matthias Klose <doko@debian.org>
python2.6 (2.6.6-9) unstable; urgency=low
* Build without OpenSSL v2 support. Closes: #613369.
* Search headers and libraries in multiarch directories too. LP: #738213.

See Also

Package Description
libpython2.7_2.7.3-6+deb7u2_amd64.deb Shared Python runtime library (version 2.7)
libpython3.2_3.2.3-7_amd64.deb Shared Python runtime library (version 3.2)
libpythonqt2-dev_2.0.1-1.1_amd64.deb Dynamic Python binding for the Qt framework - development
libpythonqt2.0_2.0.1-1.1_amd64.deb Dynamic Python binding for the Qt framework - runtime
libqalculate-dev_0.9.7-8_amd64.deb Powerful and easy to use desktop calculator - development
libqalculate-doc_0.9.7-8_all.deb Powerful and easy to use desktop calculator - documentation
libqalculate5-data_0.9.7-8_all.deb Powerful and easy to use desktop calculator - data
libqalculate5_0.9.7-8_amd64.deb Powerful and easy to use desktop calculator - library
libqapt-dev_1.3.0-2_amd64.deb Development headers for the QApt library
libqapt-runtime_1.3.0-2_amd64.deb Runtime components for the QApt library
libqapt1_1.3.0-2_amd64.deb QApt library package
libqb-dev_0.11.1-2_amd64.deb high performance client server features library (devel files)
libqb0_0.11.1-2_amd64.deb high performance client server features library
libqca2-dev_2.0.3-4_amd64.deb development files for the Qt Cryptographic Architecture
libqca2-doc_2.0.3-4_all.deb API documentation for the Qt Cryptographic Architecture
Advertisement
Advertisement